Bug 1027010 (CVE-2013-4519)

Summary: CVE-2013-4519 ReviewBoard: two XSS vulnerabilities
Product: [Other] Security Response Reporter: Stephen Gallagher <sgallagh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131106,reported=20131105,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/ReviewBoard=affected,epel-6/ReviewBoard=affected,cwe=CWE-79[auto]
Fixed In Version: ReviewBoard 1.6.21, ReviewBoard 1.7.17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-26 10:14:56 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Stephen Gallagher 2013-11-05 16:32:58 EST
== Issue 1 ==

=== Summary ===
A flaw in the display of the branch field of a review request allows an
attacker to inject arbitrary HTML, allowing attackers to construct scripts
that run in the context of the page.

=== Affected Deployments ===
All Review Board deployments are vulnerable to this flaw.

=== Scope ===
Any registered user on a Review Board instance can provide malicious
content for this field, impacting any user who views the page.

=== Resolution ===
The field's contents were set to HTML-escaped on display.

=== Acknowledgements ===
Frederik Braun from Mozilla is credited with discovering this vulnerability.
Christian Hammond, lead upstream developer of Review Board, is credited with
correcting it.


== Issue 2 ==

=== Summary ===
A flaw in the display of the alt text for an uploaded screenshot or image
file attachment allows an attacker to inject arbitrary HTML through the
caption field, allowing attackers to construct scripts that run in the
context of the page.

=== Affected Deployments ===
All Review Board deployments are vulnerable to this flaw.

=== Scope ===
Any registered user on a Review Board instance can provide malicious
content for a caption, impacting any user who views the page.

=== Resolution ===
The field's contents were set to HTML-escaped on display.

=== Acknowledgements ===
Frederik Braun from Mozilla is credited with discovering this vulnerability.
Christian Hammond, lead upstream developer of Review Board, is credited with
correcting it.
Comment 2 Fedora Update System 2013-11-11 19:30:56 EST
ReviewBoard-1.7.17-1.fc20, python-djblets-0.7.23-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-11-15 15:31:37 EST
ReviewBoard-1.7.18-1.fc19, python-djblets-0.7.23-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-11-25 22:59:35 EST
ReviewBoard-1.7.18-1.fc18, python-djblets-0.7.23-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-02 20:23:05 EST
ReviewBoard-1.7.18-1.el6, python-djblets-0.7.23-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.